[Qa-jenkins-scm] [jenkins.debian.net] 01/03: reproducible: only keep artifacts for 2 days (instead of 3)

Holger Levsen holger at moszumanska.debian.org
Fri Oct 16 13:08:16 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 2ea8c692b68c3a3e8ff13c768056ef017922226d
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri Oct 16 14:05:10 2015 +0200

    reproducible: only keep artifacts for 2 days (instead of 3)
---
 bin/reproducible_build.sh       | 2 +-
 bin/reproducible_maintenance.sh | 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index c3e9d55..c88c64a 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -53,7 +53,7 @@ save_artifacts() {
 		mkdir -p $BASE/$ARTIFACTS
 		cp -r $TMPDIR/* $BASE/$ARTIFACTS/
 		echo | tee -a ${RBUILDLOG}
-		local msg="Artifacts from this build have been preserved. They will be available for 72h only, so download them now.\n"
+		local msg="Artifacts from this build have been preserved. They will be available for 48h only, so download them now.\n"
 		msg="${msg}WARNING: You shouldn't trust packages downloaded from this host, they can contain malware or the worst of your fears, packaged nicely in debian format.\n"
 		msg="${msg}If you are not afraid facing your fears while helping the world by investigating reproducible build issues, you can download the artifacts from the following location: $URL\n"
 		printf "$msg" | tee -a $BUILDLOG
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 6a3cffe..84e1b83 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -305,13 +305,13 @@ if [ ! -z "$PSCALL" ] ; then
 fi
 
 
-# remove artifacts older than 3 days
-echo "$(date -u) - Checking for artifacts older than 3 days."
-ARTIFACTS=$(find $BASE/artifacts/* -maxdepth 1 -type d -mtime +3 -exec ls -lad {} \; 2>/dev/null|| true)
+# remove artifacts older than 2 days
+echo "$(date -u) - Checking for artifacts older than 2 days."
+ARTIFACTS=$(find $BASE/artifacts/* -maxdepth 1 -type d -mtime +2 -exec ls -lad {} \; 2>/dev/null|| true)
 if [ ! -z "$ARTIFACTS" ] ; then
 	echo
 	echo "Removed old artifacts:"
-	find $BASE/artifacts/* -maxdepth 1 -type d -mtime +3 -exec rm -rv {} \;
+	find $BASE/artifacts/* -maxdepth 1 -type d -mtime +2 -exec rm -rv {} \;
 	echo
 fi
 

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list